from typing import Optional
from pydantic import BaseModel
from datetime import datetime, date

class AttendanceBase(BaseModel):
    student_id: int
    class_id: int
    date: date
    is_present: bool = False
    remarks: Optional[str] = None

class AttendanceCreate(AttendanceBase):
    pass

class AttendanceUpdate(BaseModel):
    is_present: Optional[bool] = None
    remarks: Optional[str] = None

class AttendanceInDBBase(AttendanceBase):
    id: int
    marked_by: int
    created_at: datetime
    updated_at: Optional[datetime] = None

    class Config:
        orm_mode = True

class Attendance(AttendanceInDBBase):
    pass