#!/usr/bin/env python3
"""Minimal test to check basic imports."""

print("Testing basic imports...")

try:
    print("1. Testing core config...")
    from app.core.config import settings
    print("✓ Config imported")
    
    print("2. Testing database...")
    from app.db.base import Base
    from app.db.session import SessionLocal
    print("✓ Database imported")
    
    print("3. Testing individual models...")
    from app.models.user import User, UserRole
    print("✓ User model imported")
    
    from app.models.class_model import Class
    print("✓ Class model imported")
    
    from app.models.subject import Subject
    print("✓ Subject model imported")
    
    from app.models.grade import Grade
    print("✓ Grade model imported")
    
    from app.models.attendance import Attendance
    print("✓ Attendance model imported")
    
    from app.models.notification import Notification
    print("✓ Notification model imported")
    
    print("4. Testing models package...")
    from app.models import User as UserFromPackage
    print("✓ Models package imported")
    
    print("5. Testing main app...")
    import main
    print("✓ Main app imported")
    
    print("\n🎉 All basic imports successful!")
    
except Exception as e:
    print(f"❌ Error: {e}")
    import traceback
    traceback.print_exc()